APIs / TikTok / Music Posts

TikTok: Music Posts

Music Posts from TikTok as JSON. 1 credit per successful call.

GET /v1/tiktok/music-postsNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
music_idstringRequiredUp to 100 characters
countintegerOptionalAny
cursorstringOptionalUp to 100 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/tiktok/music-posts?music_id=7002634556977908485&count=10&cursor=0" \
  -H "X-API-Key: $API_KEY"